package it.danieleverducci.subitobeers.ui

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import it.danieleverducci.subitobeers.databinding.FragmentBeerDetailBinding

class BeerDetailFragment : Fragment() {

    lateinit var binding: FragmentBeerDetailBinding

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        binding = FragmentBeerDetailBinding.inflate(
            LayoutInflater.from(container!!.context),
            container,
            false
        )

        // Populate view

        return binding.root
    }

    override fun onStart() {
        super.onStart()
        activity?.actionBar?.setDisplayHomeAsUpEnabled(true);
    }

    override fun onStop() {
        super.onStop()
        activity?.actionBar?.setDisplayHomeAsUpEnabled(false);
    }
}